Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162411 - 4 * is used uninitialized in this function
Summary: 4 * is used uninitialized in this function
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pilot-link
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 10:57 UTC by David Binderman
Modified: 2008-02-11 11:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-11 11:56:05 UTC


Attachments (Terms of Use)

Description David Binderman 2005-07-04 10:57:26 UTC
Description of problem:

I just tried to compile package pilot-link-0.12.0-0.pre3.2 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and the
compiler flag -Wall.

The compiler said

1.

install-datebook.c:223: warning: 'Appointment_buf' is used uninitialized in this
function

The source code is

	pack_Appointment(&appointment, Appointment_buf, datebook_v1);

I agree with the compiler. Suggest initialise local variable
"Appointment_buf" before first use.

2.

read-screenshot.c:105: warning: 'f' is used uninitialized in this function

The source code is

        fclose (f);

I agree with the compiler. Suggest initialise local variable
"f" before first use. You can only fclose something that has been
fopened, but this happens later in the same function.

3.

money2qif.c:109: warning: 'index' is used uninitialized in this function

The source code is

        if (index >= 0) {

I agree with the compiler. Suggest initialise local variable
"index" before first use.

4.

versamail-test.c:207: warning: 'r' is used uninitialized in this function

The source code is

	print_versamail_app_info(r, record, size);

I agree with the compiler. Suggest initialise local variable
"r" before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alex Lancaster 2007-11-12 12:43:05 UTC
Is this still a problem?  Unlikely to still be a problem (original bug reported
back in 2005) since now 0.12.2 compiles fine on rawhide.   


Note You need to log in before you can comment on or make changes to this bug.